> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Status

> Gets a user's status in your workspace.

### Changelog
| Version      | Description |
| ---------------- | ------------|
|1.2.0            | Added       |

## OpenAPI

````json GET /api/v1/users.getStatus
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "User Management"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "LDAP"
    },
    {
      "name": "Permissions"
    },
    {
      "name": "Roles"
    },
    {
      "name": "Users"
    }
  ],
  "paths": {
    "/api/v1/users.getStatus": {
      "get": {
        "tags": [
          "Users"
        ],
        "summary": "Get Status",
        "description": "Gets a user's status in your workspace.\n\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|1.2.0            | Added       |",
        "operationId": "get-api-v1-users.getStatus",
        "parameters": [
          {
            "name": "userId",
            "in": "query",
            "description": "The `userId` of the user. Alternatively, you can use the `username` property and value. If the value is not provided, the authenticated user is used. ",
            "schema": {
              "type": "string"
            },
            "example": "W7NHuX5ri2e3mu2Fc"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string"
                    },
                    "connectionStatus": {
                      "type": "string"
                    },
                    "status": {
                      "type": "string"
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Success Example": {
                    "value": {
                      "message": "Latest status",
                      "connectionStatus": "online",
                      "status": "online",
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          }
        }
      }
    }
  },
  "components": {
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    }
  }
}
````

